Skip to content
Start here

Permission Group Details

iam.permission_groups.get(strpermission_group_id, PermissionGroupGetParams**kwargs) -> PermissionGroupGetResponse
GET/accounts/{account_id}/iam/permission_groups/{permission_group_id}

Get information about a specific permission group in an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety ReadDNS View WriteDNS View ReadSCIM ProvisioningLoad Balancers Account WriteLoad Balancers Account ReadZero Trust: PII ReadDDoS Botnet Feed WriteDDoS Botnet Feed ReadWorkers R2 Storage WriteWorkers R2 Storage ReadDDoS Protection WriteDDoS Protection ReadWorkers Tail ReadWorkers KV Storage WriteWorkers KV Storage ReadWorkers Scripts WriteWorkers Scripts ReadLoad Balancing: Monitors and Pools WriteLoad Balancing: Monitors and Pools ReadAccount Firewall Access Rules WriteAccount Firewall Access Rules ReadDNS Firewall WriteDNS Firewall ReadBilling WriteBilling ReadAccount Settings WriteAccount Settings Read
ParametersExpand Collapse
account_id: str

Account identifier tag.

maxLength32
minLength32
permission_group_id: str

Permission Group identifier tag.

maxLength32
minLength32
ReturnsExpand Collapse
class PermissionGroupGetResponse:

A named group of permissions that map to a group of operations against resources.

id: str

Identifier of the permission group.

meta: Optional[Meta]

Attributes associated to the permission group.

key: Optional[str]
value: Optional[str]
name: Optional[str]

Name of the permission group.

Permission Group Details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
permission_group = client.iam.permission_groups.get(
    permission_group_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(permission_group.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
    "meta": {
      "key": "key",
      "value": "value"
    },
    "name": "Load Balancer"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
    "meta": {
      "key": "key",
      "value": "value"
    },
    "name": "Load Balancer"
  }
}